import axios from "../../utils/axios";

export function getRegistrationList(query) {
    return axios({
        url: "/sup/product/getRegistrationList",
        method: "get",
        params: query
    });
}

export function getRegistrationInfo(query) {
    return axios({
        url: "/sup/product/getRegistrationInfo",
        method: "get",
        params: query
    });
}

export function addOrModifyRegistration(query, formName) {
    let url = formName === "add" ?
            "/sup/product/addRegistration" : "/sup/product/modifyRegistration";
    return axios(
        {
            url: url,
            method: "post",
            data: query
        }
    );
}

export function deleteRegistration(query) {
    return axios({
        url: "/sup/product/delete",
        method: "get",
        params: query
    });
}


export function auditSupProduct(data) {
    return axios({
        url: '/udiwms/pur/suppliers/product/audit',
        method: 'post',
        data: data
    })
}
export function bindProduct(data) {
    return axios({
        url: '/sup/product/selectBind',
        method: 'post',
        data: data
    })
}



